/**
 * mainframe.js
 */
var baseUrl = '';
var theme = '';
var viewAlarmType,pieAlarmType,statusType;
Ext.Loader.setConfig({
    enabled: true
});

Ext.Loader.setPath('Ext.ux', '../../res/extjs/examples/ux');
Ext.require([
	  'Ext.panel.Panel',
	  'Ext.button.Button',
	  'Ext.window.Window',
	  'Ext.ux.statusbar.StatusBar',
	  'Ext.toolbar.TextItem',
	  'Ext.menu.Menu',
	  'Ext.toolbar.Spacer',
	  'Ext.button.Split',
	  'Ext.form.field.TextArea',
	  'Ext.util.TaskRunner'
	]);

var task = {   
	    run : function() { 
	    	Ext.getCmp('timestamp_bar').setValue(Ext.Date.format(new Date(), 'Y-m-d H:i:s'));
	    },   
	    interval : 1000   
	};


var setCompanyCode = function(id){
	$("#company_code").val(id);
}

var subAlarm = Ext.create('Ext.menu.Menu',{
	items:[
		{
			text : '火灾监控',
			cls:'usky_menu',
			iconCls : 'menu_fire_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/fireAlarm/subFireAlarm.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '电气火灾监控',
			cls:'usky_menu',
			iconCls : 'menu_efire_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/efireAlarm/subeFireAlarm.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '消防水系统监控',
			cls:'usky_menu',
			iconCls : 'menu_water_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/waterAlarm/subWaterAlarm.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : 'RTU综合监控',
			cls:'usky_menu',
			iconCls : 'menu_efire_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/rtuAlarm/subRtuAlarm.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		}
	]
});

var subDevice = Ext.create('Ext.menu.Menu',{
	items:[
		{
			text : '火灾监控',
			cls:'usky_menu',
			iconCls : 'menu_fire_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/fireAlarm/FireDeviceIndex.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '电气火灾监控',
			cls:'usky_menu',
			iconCls : 'menu_efire_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/efireAlarm/eFireDeviceIndex.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '消防水系统监控',
			cls:'usky_menu',
			iconCls : 'menu_water_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/waterAlarm/WaterDeviceIndex.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : 'RTU综合监控',
			cls:'usky_menu',
			iconCls : 'menu_efire_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/rtuAlarm/RtuDeviceIndex.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		}
	]
});

var subData = Ext.create('Ext.menu.Menu',{
	items:[
		{
			text : '电气火灾数据查询',
			cls:'usky_menu',
			iconCls : 'menu_fire_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/dataSearch/fireIndex.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '消防水系统数据查询',
			cls:'usky_menu',
			iconCls : 'menu_water_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function(){
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/dataSearch/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
//			handler: function() {
//				var div = document.getElementById('main_center_layout');
//				try{
//					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/waterAlarm/WaterDeviceIndex.jsp?theme='+theme+'"></iframe>';
//				}catch(e){}
//			}
		},{
			text : 'RTU综合数据查询',
			cls:'usky_menu',
			iconCls : 'menu_efire_btn',
			disabled:($("#V_LOGINNAME").val()=='guest'),
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/dataSearch/rtuIndex.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		}
	]
});

var routData = Ext.create('Ext.menu.Menu',{
	items:[
		{
			text : '巡检计划',
			cls:'usky_menu',
			iconCls : 'menu_fire_btn',
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/patrolplan/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '巡检点位',
			cls:'usky_menu',
			iconCls : 'menu_fire_btn',
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/patrolpoint/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '巡检路线',
			cls:'usky_menu',
			iconCls : 'menu_fire_btn',
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/route/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '巡检记录',
			cls:'usky_menu',
			iconCls : 'menu_fire_btn',
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/checkrecord/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		},{
			text : '巡检点操作记录',
			cls:'usky_menu',
			iconCls : 'menu_fire_btn',
			handler: function() {
				var div = document.getElementById('main_center_layout');
				try{
					div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/inspectionrecord/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
				}catch(e){}
			}
		}
	]
});

var menuMain = Ext.create('Ext.menu.Menu',{
	items: [{
		text : '综合查询',
		cls:'usky_menu',
		iconCls : 'menu_frontpage_btn',
		handler: function(){
			var div = document.getElementById('main_center_layout');
			var type = $("#viewAlarmType").val();
			try{
				div.innerHTML='<iframe id="frame_frontpage" frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/frontpage/map.jsp?viewAlarmType='+viewAlarmType+'&pieAlarmType='+pieAlarmType+'&statusType='+statusType+'&theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
			}catch(e){}
		}
	},{
		text : '告警信息',
		cls:'usky_menu',
		iconCls : 'menu_alarm_btn',
		menu: subAlarm
	},{
		text : '设备监控',
		cls:'usky_menu',
		iconCls : 'menu_device_btn',
		menu: subDevice
	},{
		text : '数据查询',
		cls:'usky_menu',
//		disabled:true,
		iconCls : 'menu_data_btn',
		menu: subData
	},{
		text : '巡检工作',
		cls:'usky_menu',
//		disabled:true,
		iconCls : 'menu_around_btn',
		disabled:($("#V_LOGINNAME").val()=='guest'),
		menu: routData
	},{
		text : '工作考评',
		cls:'usky_menu',
		disabled:true,
		iconCls : 'menu_work_btn'
	}]
});

var menuSub = Ext.create('Ext.menu.Menu',{
	items: [{
		text : '火灾监控',
		cls:'usky_menu',
		iconCls : 'menu_fire_btn',
		disabled:($("#V_LOGINNAME").val()=='guest'),
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/fireAlarm/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
			}catch(e){}
		}
	},{
		text : '电器火灾监控',
		cls:'usky_menu',
		iconCls : 'menu_efire_btn',
		disabled:($("#V_LOGINNAME").val()=='guest'),
		disabled: true
	},{
		text : '消防水系统监控',
		cls:'usky_menu',
		iconCls : 'menu_water_btn',
		disabled:($("#V_LOGINNAME").val()=='guest'),
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/waterAlarm/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
			}catch(e){}
		}
	},{
		text : '通道告警监控',
		cls:'usky_menu',
		iconCls : 'menu_access_btn',
		disabled: true
	},{
		text : '消防电源监控',
		cls:'usky_menu',
		iconCls : 'menu_power_btn',
		disabled: true
	},{
		text : 'RTU综合监控',
		cls:'usky_menu',
		iconCls : 'menu_efire_btn',
		disabled:($("#V_LOGINNAME").val()=='guest'),
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'view/rtuAlarm/index.jsp?theme='+theme+($("#company_code").val().length>0?('&company_code='+$("#company_code").val()):'')+'"></iframe>';
			}catch(e){}
		}
	}]
});

var chkViewMapAlarm = function(id){
	var str = "";
	var len=8;
	var check = new Array();
	for(var i=0;i<len;i++){
		check.push(Ext.getCmp('viewMapAlarm'+i));
	}
	if(id==0){
		if(check[0].checked==true){
			for(var i=1;i<len;i++){
				if(!check[i].isDisabled()){
					check[i].setChecked(true);
				}
			}
		}else{
			for(var i=1;i<len;i++){
				check[i].setChecked(false);
			}
		}
	}
	for(var i=0;i<len;i++){
		if(check[i].checked==true){
			str +="1";
		}else{
			str +="0";
		}
	}
	$("#viewAlarmType").val(str);
	try{
		document.getElementById("frame_frontpage").contentWindow.changeMapView(str);
	}catch(e){}
}

var viewMap = Ext.create('Ext.menu.Menu',{
	items : [{
		xtype: 'menucheckitem',
		id: 'viewMapAlarm0',
		text: '全选',
		cls:'usky_menu',
		checked: 'checked',
		handler :function(){
			chkViewMapAlarm(0);
		}
	},{
		xtype: 'menucheckitem',
		id: 'viewMapAlarm1',
		text: '火警监控系统告警',
		cls:'usky_menu',
		checked: 'checked',
		handler : function(){
			chkViewMapAlarm(1);
		}
	},{
		xtype: 'menucheckitem',
		id: 'viewMapAlarm2',
		text: '电气火灾监控系统告警',
		cls:'usky_menu',
		checked: 'checked',
//		disabled: true,
		handler : function(){
			chkViewMapAlarm(2);
		}
	},{
		xtype: 'menucheckitem',
		id: 'viewMapAlarm3',
		text: '消防水监控系统告警',
		cls:'usky_menu',
		checked: 'checked',
		handler : function(){
			chkViewMapAlarm(3);
		}
	},{
		xtype: 'menucheckitem',
		id: 'viewMapAlarm4',
		text: '通道监控系统告警',
		cls:'usky_menu',
		disabled: true,
		handler : function(){
			chkViewMapAlarm(4);
		}
	},{
		xtype: 'menucheckitem',
		id: 'viewMapAlarm5',
		text: '消防电源监控系统告警',
		cls:'usky_menu',
		disabled: true,
		handler : function(){
			chkViewMapAlarm(5);
		}
	},{
		xtype: 'menucheckitem',
		text: 'RTU监控系统告警',
		cls:'usky_menu',
		id: 'viewMapAlarm6',
		checked: 'checked',
		handler : function(){
			chkViewMapAlarm(6);
		}
	},{
		xtype: 'menucheckitem',
		text: '烟感监控系统告警',
		cls:'usky_menu',
		id: 'viewMapAlarm7',
		
		disabled: true,
		handler : function(){
			chkViewMapAlarm(7);
		}
	}]
});

var viewTheme = Ext.create('Ext.menu.Menu',{items : [{id: 'view_theme_default',xtype: 'menucheckitem',group: 'theme',text: '经典',cls:'usky_menu',handler : function(){location.href = baseUrl + 'view/mainframe.jsp?theme=default';}},{id: 'view_theme_gray',xtype: 'menucheckitem',group: 'theme',text: '灰色',cls:'usky_menu',handler : function(){location.href = baseUrl + 'view/mainframe.jsp?theme=gray';}},{id: 'view_theme_access',xtype: 'menucheckitem',group: 'theme',text: '反白',cls:'usky_menu',handler : function(){location.href = baseUrl + 'view/mainframe.jsp';}}]});
var alarmScope = Ext.create('Ext.menu.Menu',{
	items : [
		new Ext.menu.CheckItem({
			text: '单位',
			cls:'usky_menu',
			group: 'scope',
			checked: 'checked'
		})
		,
		new Ext.menu.CheckItem({
			text: '区域',
			cls:'usky_menu',
			group: 'scope'
		})
	]
});

var alarmLevel = Ext.create('Ext.menu.Menu',{
	items : [{
		xtype: 'menucheckitem',
		text: '全选',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '重要告警',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '一般告警',
		cls:'usky_menu',
		checked: 'checked'
	}]
});

var alarmSound = Ext.create('Ext.menu.Menu',{
	items : [{
		xtype: 'menucheckitem',
		group: 'a_sound',
		disabled:true,
		cls:'usky_menu',
		text: '告警音'
	},{
		xtype: 'menucheckitem',
		group: 'a_sound',
		disabled:true,
		cls:'usky_menu',
		text: '合成语音'
	},{
		xtype: 'menucheckitem',
		group: 'a_sound',
		disabled:true,
		text: '静音',
		cls:'usky_menu',
		checked: 'checked'
	}]
});

var viewAlarm = Ext.create('Ext.menu.Menu',{
	items : [{
		text: '范围',
		cls:'usky_menu',
		iconCls : 'view_scope_btn',
		disabled:true,
		menu: alarmScope
	},{
		text: '告警级别',
		cls:'usky_menu',
		iconCls : 'view_level_btn',
		disabled:true,
		menu: alarmLevel
	},{
		text: '语音',
		cls:'usky_menu',
		iconCls : 'view_sound_btn',
		disabled:true,
		menu: alarmSound
	}]
});

var chkViewDevice = function(id){
	var str = "";
	var len = 7;
	var check = new Array();
	for(var i=0;i<len;i++){
		check.push(Ext.getCmp('viewDeviceStat'+i));
	}
	
}

var chkViewAlarm = function(id){
	var str = "";
	var len=8;
	var check = new Array();
	for(var i=0;i<len;i++){
		check.push(Ext.getCmp('viewAlarmStat'+i));
	}
	if(id==0){
		if(check[0].checked==true){
			for(var i=1;i<len;i++){
				if(!check[i].isDisabled()){
					check[i].setChecked(true);
				}
			}
		}else{
			for(var i=1;i<len;i++){
				check[i].setChecked(false);
			}
		}
	}
	for(var i=0;i<len;i++){
		if(check[i].checked==true){
			str +="1";
		}else{
			str +="0";
		}
	}
	$("#pieAlarmType").val(str);
	try{
		document.getElementById("frame_frontpage").contentWindow.changeAlarmView(str);
	}catch(e){}
}

var viewDeviceStatist = Ext.create('Ext.menu.Menu',{
	items : [{
		xtype: 'menucheckitem',
		text: '全选',
		cls:'usky_menu',
		id:'viewDeviceStat0',
		checked: 'checked',
		handler : function(){
			chkViewStatus(0);
		}
	},{
		xtype: 'menucheckitem',
		text: '火警监控系统设备状态',
		cls:'usky_menu',
		id:'viewDeviceStat1',
		checked: 'checked',
		handler : function(){
			chkViewStatus(1);
		}
	},{
		xtype: 'menucheckitem',
		text: '电气火灾监控系统设备状态',
		cls:'usky_menu',
		id:'viewDeviceStat2',
		checked: 'checked',
//		disabled: true,
		handler : function(){
			chkViewStatus(2);
		}
	},{
		xtype: 'menucheckitem',
		text: '消防水监控系统设备状态',
		cls:'usky_menu',
		id:'viewDeviceStat3',
		checked: 'checked',
		handler : function(){
			chkViewStatus(3);
		}
	},{
		xtype: 'menucheckitem',
		text: '通道监控系统设备状态',
		cls:'usky_menu',
		id:'viewDeviceStat4',
		disabled: true,
		handler : function(){
			chkViewStatus(4);
		}
	},{
		xtype: 'menucheckitem',
		text: '消防电源监控系统设备状态',
		cls:'usky_menu',
		id:'viewDeviceStat5',
		disabled: true,
		handler : function(){
			chkViewStatus(5);
		}
	},{
		xtype: 'menucheckitem',
		text: 'RTU监控系统设备状态',
		cls:'usky_menu',
		id:'viewDeviceStat6',
		checked: 'checked',
		handler : function(){
			chkViewStatus(6);
		}
	},{
		xtype: 'menucheckitem',
		text: '烟感监控系统设备状态',
		cls:'usky_menu',
		id:'viewDeviceStat7',
		disabled: true,
		handler : function(){
			chkViewStatus(7);
		}
	}]
});

var chkViewStatus = function(id){
	var str = "";
	var len=8;
	var check = new Array();
	for(var i=0;i<len;i++){
		check.push(Ext.getCmp('viewDeviceStat'+i));
	}
	if(id==0){
		if(check[0].checked==true){
			for(var i=1;i<len;i++){
				if(!check[i].isDisabled()){
					check[i].setChecked(true);
				}
			}
		}else{
			for(var i=1;i<len;i++){
				check[i].setChecked(false);
			}
		}
	}
	for(var i=0;i<len;i++){
		if(check[i].checked==true){
			str +="1";
		}else{
			str +="0";
		}
	}
	$("#statusType").val(str);
	try{
		document.getElementById("frame_frontpage").contentWindow.changeStatusView(str);
	}catch(e){}
}

var viewAlarmStatist = Ext.create('Ext.menu.Menu',{
	items : [{
		xtype: 'menucheckitem',
		text: '全选',
		cls:'usky_menu',
		id:'viewAlarmStat0',
		checked: 'checked',
		handler : function(){
			chkViewAlarm(0);
		}
	},{
		xtype: 'menucheckitem',
		text: '火警监控系统告警',
		cls:'usky_menu',
		id:'viewAlarmStat1',
		checked: 'checked',
		handler : function(){
			chkViewAlarm(1);
		}
	},{
		xtype: 'menucheckitem',
		text: '电气火灾监控系统告警',
		cls:'usky_menu',
		id:'viewAlarmStat2',
		checked: 'checked',
//		disabled: true,
		handler : function(){
			chkViewAlarm(2); 
		}
	},{
		xtype: 'menucheckitem',
		text: '消防水监控系统告警',
		cls:'usky_menu',
		id:'viewAlarmStat3',
		checked: 'checked',
		handler : function(){
			chkViewAlarm(3);  
		}
	},{
		xtype: 'menucheckitem',
		text: '通道监控系统告警',
		cls:'usky_menu',
		id:'viewAlarmStat4',
		disabled: true,
		handler : function(){
			chkViewAlarm(4);
		}
	},{
		xtype: 'menucheckitem',
		text: '消防电源监控系统告警',
		cls:'usky_menu',
		id:'viewAlarmStat5',
		disabled: true,
		handler : function(){
			chkViewAlarm(5);
		}
	},{
		xtype: 'menucheckitem',
		text: 'RTU监控系统告警',
		cls:'usky_menu',
		id:'viewAlarmStat6',
		checked: 'checked',
		handler : function(){
			chkViewAlarm(6);
		}
	},{
		xtype: 'menucheckitem',
		text: '烟感监控系统告警',
		cls:'usky_menu',
		id:'viewAlarmStat7',
		disabled: true,
		handler : function(){
			chkViewAlarm(7);
		}
	}]
});

var viewStatist = Ext.create('Ext.menu.Menu',{
	items:[
		{
			text:'告警信息',
			cls:'usky_menu',
			menu: viewAlarmStatist
		},{
			text:'设备信息',
			cls:'usky_menu',
			menu: viewDeviceStatist
		}
	]
});

var sysinfoPoint = Ext.create('Ext.menu.Menu',{
	items : [{
		xtype: 'menucheckitem',
		text: '全选',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '火警监控系统',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '电气火灾监控系统',
		cls:'usky_menu',
//		disabled:true,
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '消防水监控系统',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '通道监控系统',
		cls:'usky_menu',
		disabled:true,
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '消防电源监控系统',
		cls:'usky_menu',
		disabled:true,
		checked: 'checked'
	}]
});

var sysinfoServer = Ext.create('Ext.menu.Menu',{
	items: [{
		xtype: 'menucheckitem',
		text: '全选',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '通信服务器',
		cls:'usky_menu',
		disabled: true
	},{
		xtype: 'menucheckitem',
		text: '数据库服务器',
		cls:'usky_menu',
		disabled:true
	},{
		xtype: 'menucheckitem',
		text: '应用服务器',
		cls:'usky_menu',
		disabled: true
	}]
});

var sysinfoRuntime = Ext.create('Ext.menu.Menu',{
	items: [{
		xtype: 'menucheckitem',
		text: '全选',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '数据库模块',
		cls:'usky_menu',
//		checked: 'checked'
		disabled: true
	},{
		xtype: 'menucheckitem',
		text: 'RTU采集模块',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '独立烟感采集模块',
		cls:'usky_menu',
		disabled: true
	},{
		xtype: 'menucheckitem',
		text: '水表采集模块',
		cls:'usky_menu',
		checked: 'checked'
	},{
		xtype: 'menucheckitem',
		text: '用户传输终端采集模块',
		cls:'usky_menu',
		checked: 'checked'
	}]
})

var viewSysinfo = Ext.create('Ext.menu.Menu',{
	items: [{
		text: '监控点位',
		cls:'usky_menu',
		iconCls: 'sysinfo_point_btn',
		menu: sysinfoPoint,
		disabled:true,
	},{
		text: '服务器',
		cls:'usky_menu',
		iconCls: 'sysinfo_server_btn',
		menu: sysinfoServer,
		disabled:true
	},{
		text: '应用模块',
		cls:'usky_menu',
		iconCls: 'sysinfo_runtime_btn',
		menu: sysinfoRuntime,
		disabled:true
	}]
});

var menuView = Ext.create('Ext.menu.Menu',{
	items : [{
		text: '主题皮肤',
		cls:'usky_menu',
		iconCls : 'menu_theme_btn',
		menu: viewTheme
	},{
		text: '地图显示',
		cls:'usky_menu',
		id:'mapViewBtn',
		iconCls : 'menu_map_btn',
		menu: viewMap
	},{
		text: '声光告警',
		cls:'usky_menu',
		iconCls : 'menu_view_btn',
		disabled: true,
		menu: viewAlarm 
	},{
		text: '统计显示',
		cls:'usky_menu',
		id:'statistViewBtn',
		iconCls : 'menu_statistics_btn',
		menu: viewStatist
	},{
		text: '系统信息',
		cls:'usky_menu',
		iconCls : 'menu_sysinfo_btn',
		disabled:true,
		menu: viewSysinfo
	}]
});

var menuSetup = Ext.create('Ext.menu.Menu',{
	items :[{
		text: '用户管理',
		cls:'usky_menu',
		iconCls: 'setup_user_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/admin/index.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	},{
		text: '组织机构管理',
		cls:'usky_menu',
		iconCls: 'setup_company_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/company/index.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	},{
		text: '权限管理',
		cls:'usky_menu',
		iconCls: 'setup_permission_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/permission/index.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	},{
		text: '权限组管理',
		cls:'usky_menu',
		iconCls: 'setup_permissiongroup_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/permission/group.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	},{
		text: '建筑物管理',
		cls:'usky_menu',
		iconCls: 'setup_building_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/building/index.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	},{
		text: '物联网卡管理',
		cls:'usky_menu',
		iconCls: 'setup_iotcard_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/iotcard/index.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	},{
		text: '采集接口管理',
		cls:'usky_menu',
		iconCls: 'setup_interface_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/protocol/index.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	},{
		text: '监控单元管理',
		cls:'usky_menu',
		iconCls: 'setup_unit_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/protocol/index.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	},{
		text: '监控点管理',
		cls:'usky_menu',
		iconCls: 'setup_pno_btn',
		handler: function() {
			var div = document.getElementById('main_center_layout');
			try{
				div.innerHTML='<iframe frameborder=0 width="100%" height="100%" allowtransparency="true" scrolling=auto src="'+baseUrl+'opt/protocol/index.jsp?theme='+theme+'"></iframe>';
			}catch(e){}
		}
	}]
});

var menuUser = Ext.create('Ext.menu.Menu',{
	items:[{
		text: '注销',
		cls:'usky_menu',
        iconCls: 'user_logout_btn',
        handler: function(){
        	var query = new Object();
        	query.V_LOGINNAME = V_LOGINNAME;
        	query.V_PASSWORD = V_PASSWORD;
        	$.ajax({
                type:'POST',
                url: baseUrl+'iot/admin/logout',
                data: {
                	queryJson : Ext.JSON.encode(query)
            	},
                success: function(result){
                	window.parent.document.location=baseUrl;
                }
            });
        }
	},{
